Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 19 Nov 2018, 04:58
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
gtk-youtube-viewer (for lots of pups)
Post new topic   Reply to topic View previous topic :: View next topic
Page 24 of 27 [401 Posts]   Goto page: Previous 1, 2, 3, ..., 22, 23, 24, 25, 26, 27 Next
Author Message
roadkill13

Joined: 10 Aug 2011
Posts: 148
Location: United States

PostPosted: Sun 21 Oct 2018, 17:37    Post subject:  

Fred wrote:

Quote:
Yes, not sure, but apparently because of the missing "HTTP::Headers" modules the login authentication isn't remembered, I added these, so should be fixed now, new download links here:
Bionic:
http://murga-linux.com/puppy/viewtopic.php?p=1007755#1007755


One minor issue to report with the 3.5.2 version (fixed). Package installer reported that the name inside the package is different than the name outside the package and refused to install. I resolved this by renaming the package by removing -bionic from the name of the pet package so it reads "youtube-viewer-3.5.2_i386.pet".

Once installed it works just fine. Thank you very much for the fix.
Back to top
View user's profile Send private message Yahoo Messenger 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Sun 21 Oct 2018, 18:05    Post subject:  

roadkill13 wrote:
Package installer reported that the name inside the package is different than the name outside the package and refused to install. I resolved this by renaming the package by removing -bionic from the name of the pet package so it reads "youtube-viewer-3.5.2_i386.pet".


Ah, thanks, good to know, just before uploading I did rename the pets.
Again replaced download links above now (removed "-bionic" from name).

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
roadkill13

Joined: 10 Aug 2011
Posts: 148
Location: United States

PostPosted: Sun 21 Oct 2018, 18:14    Post subject:  

Thanks Fred.
Back to top
View user's profile Send private message Yahoo Messenger 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Mon 22 Oct 2018, 04:07    Post subject:  

*** Gtk-youtube-viewer for Artful and Xenial ***

EDIT: Download here newest version 3.5.3:
http://murga-linux.com/puppy/viewtopic.php?p=1009159#1009159

Artfulpup pet package 32-bit:
https://dl.dropboxusercontent.com/s/yj1dpaftbh4qskn/youtube-viewer-3.5.2-artful_i386.pet?dl=1

There's no special need to install mpv in Artfulpup, the mplayer included seems to work fine.
But if you do want to use mpv, go in Preferences and change to mpv, so looks like:
Code:
  video_player_selected               => "mpv",


Xenialpup pet package 32-bit:
https://dl.dropboxusercontent.com/s/8pxujp4cr705nax/youtube-viewer-3.5.2-xenial_i386.pet?dl=1

There may be a problem with rxvt (needed for e.g. "Download video")
Change in Preferences to xterm and add -hold :
Code:
  terminal                            => "/usr/bin/xterm",
  terminal_exec                       => "-hold -e '%s'",

........................................................

Install youtube-dl (otherwise many video's won't play), from terminal:
Code:
curl -L https://yt-dl.org/downloads/latest/youtube-dl -o /usr/local/bin/youtube-dl
chmod a+rx /usr/local/bin/youtube-dl


Fred

_________________
Dog Linux website

Last edited by fredx181 on Mon 05 Nov 2018, 16:57; edited 2 times in total
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 948

PostPosted: Mon 22 Oct 2018, 15:12    Post subject:  

Thanks for doing these latest Fred.
If it needs updating from time to time, is there an update command that can be entered for them like before ./youtube-dl.cde -U
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Tue 23 Oct 2018, 05:05    Post subject:  

Smithy wrote:
Thanks for doing these latest Fred.
If it needs updating from time to time, is there an update command that can be entered for them like before ./youtube-dl.cde -U


For to update gtk-youtube-viewer, it needs to be compiled from newer version at github:
https://github.com/trizen/youtube-viewer
But that's probably rather easy because the perl dependencies are already installed (from the installed pet).
(unless the changes are so major that it needs other perl modules)
EDIT: Required to install from PPM: libmodule-build-perl and cmake (at least)

Updating youtube-dl you can do from time to time by:
Code:
youtube-dl -U


Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 948

PostPosted: Tue 23 Oct 2018, 19:06    Post subject:  

Good info, thanks Fred.

Here's some svg pixmap icons for the app if they are useful to you.
Just two missing, Playlists and Like, oh and a submenu Video icon somewhere, couldn't find them in the massive faenza set.

https://www.dropbox.com/s/y0i4o3wqoh5ggfb/svg-pixmaps.tar?dl=1
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Thu 25 Oct 2018, 04:10    Post subject:  

Hi Smithy, thanks for the svg icons.
If you rename or link:
emblem-ubuntuone-synchronized.svg to emblem-default.svg , and
x-office-document.svg to emblem-documents.svg
Then I think all icons should show.

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 948

PostPosted: Sat 27 Oct 2018, 08:00    Post subject:  

Great, just one left missing, author/playlists?
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Mon 29 Oct 2018, 06:41    Post subject:  

Smithy wrote:
Great, just one left missing, author/playlists?


For me author/playlists shows, with the icon emblem-documents.svg
(note that it's ending with s , documents)

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 948

PostPosted: Mon 29 Oct 2018, 16:38    Post subject:  

Thanks Fred, your attention to detail is outstanding. What a difference an S makes Smile
Back to top
View user's profile Send private message 
icosahedron


Joined: 28 Nov 2011
Posts: 74
Location: UK

PostPosted: Tue 30 Oct 2018, 08:14    Post subject:  

Thanks a million for this, Fred. I’ve just stumbled across this thread while I was looking for a replacement browser - because You Tube insists (yet again) that my outdated browser can’t read the video formats (even though it was doing so happily at the weekend...

I’ve downloaded the universal viewer from your link of 28th March 2018 and it runs on my Lucid 525 OK.

However, only a few of the videos seem to play. Some videos run, most don’t. Nor do the videos download. Only the ones that play will download.

Reading this thread in more detail, this problem seems to be related to the ‘youtube-dl’ whatever that is. I’m not a programmer, I just install a Pet and run it. If it needs fixing, I’m outta my league unless I can get line by line instructions of what to do.

Can you tell me in words of one syllable how to fix the youtube viewer, or point me to one that will work for me out of the box?

Thanks.

_________________
Computers: - I just ride 'em, I dunno what makes 'em work.
For me, the Console is labelled "Here be Dragons."
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Tue 30 Oct 2018, 18:22    Post subject:  

Hi icosahedron,

Quote:
I’ve downloaded the universal viewer from your link of 28th March 2018 and it runs on my Lucid 525 OK.

However, only a few of the videos seem to play. Some videos run, most don’t. Nor do the videos download. Only the ones that play will download.


Yes, the one from 28th March was first attempt and improved later.
Better try this one, see here (works also on Lucid):
http://murga-linux.com/puppy/viewtopic.php?p=991640#991640

youtube-dl is sort of helper program for gtk-youtube-viewer.
Without it (or not updated from time to time) many video's won't play.
To update youtube-dl, run from terminal in the "yt-viewer-3.1.5_youtube-dl" directory:
Code:
./youtube-dl.cde -U


Btw, I made new cde-package with newest version of gtk-youtube-viewer (3.5), see next post.
(works also on Lucid)

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3539
Location: holland

PostPosted: Tue 30 Oct 2018, 18:31    Post subject:  

*** gtk-youtube-viewer v3.5 (latest) cde-package ***

EDIT 2018-10-31, re-uploaded, fixed some mistakes, download link below replaced.
EDIT: again made some fixes, download link below replaced.
EDIT: 2018-11-01 some video's (from categories) didn't play, fixed,download link below replaced (with date appended)
EDIT: Problems were caused by using Xarchiver, resulting in broken symlinks, download link below replaced (again Wink )
Size is a bit more than previously shared yt-viewer cde-packages.
Has some improvements, e.g. all icons show, looks a little better (using Greybird theme)
https://dl.dropboxusercontent.com/s/sxo20ipo88m0gp7/yt-viewer-3.5.0_youtube-dl-2018-11-01-fixed-symlinks.tar.gz?dl=1

Runs on any 32-bit Linux OS
To run gtk-youtube-viewer, run 'gtk-youtube-viewer.cde' (just click) from the extracted "yt-viewer-3.5.0_youtube-dl" directory.
More info here (e.g. run youtube-viewer command line program and update youtube-dl):
http://murga-linux.com/puppy/viewtopic.php?p=991640#991640

Some limitations:
Clickable links do not open in browser, e.g. in video details or link to get to authentication login page.
Workaround is to right-click on the link, "copy url" and paste in browser address bar.

Fred

_________________
Dog Linux website

Last edited by fredx181 on Thu 01 Nov 2018, 06:51; edited 4 times in total
Back to top
View user's profile Send private message 
roadkill13

Joined: 10 Aug 2011
Posts: 148
Location: United States

PostPosted: Tue 30 Oct 2018, 21:17    Post subject:  

In UpupBB18.05 I am getting this:

Quote:
Can't locate WWW/YoutubeViewer/ParseXML.pm in @INC (you may need to install the WWW::YoutubeViewer::ParseXML module) (@INC contains: /etc/perl /usr/local/lib/i386-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/i386-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/i386-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /usr/share/perl5/WWW/YoutubeViewer/GetCaption.pm line 149.

The module WWW::YoutubeViewer::ParseXML is required!

To install it, just type in terminal:
sudo cpan WWW::YoutubeViewer::ParseXML

=>> Previous warnings:
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 24 of 27 [401 Posts]   Goto page: Previous 1, 2, 3, ..., 22, 23, 24, 25, 26, 27 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0808s ][ Queries: 12 (0.0230s) ][ GZIP on ]